<?php

namespace DsbNext\Controllers;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;

class ParametersDSBController {

  protected $crudService;
  
  public function __construct($connection, $environment, $util, $crudService) {
    $this->crudService	= $crudService;
    $this->connection   = $connection;
    $this->environment  = $environment;
    $this->util         = $util;
  }
  
  public function addProfileAccess(Request\DataSet $request, Response $response) {
    $params = array(
      ":NRPERFACLPAINEL" => $nrperfaclpainel,
      ":NRPAINEL" => $currentRow["NRPAINEL"],
      ":NRPERFILACESSO" => $currentRow["NRPERFILACESSO"],
      ":CDFILIAL" => $currentRow["CDFILIAL"],
      ":IDPADRAODASH" => $currentRow["IDPADRAODASH"],
      ":NRORG" => $this->environment->getNrorg()
    );
    $this->service->insertPerfaclpainel($params);
    $response->addDataSet(new DataSet("nrperfaclpainel", [$nrperfaclpainel]));
  }
}
